<?php
/**
 * Elementor Compatibility File.
 *
 * @package akks
 */
if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

/**
 * Akks Elementor Header and Footer Builder Compatibility
 */
if ( ! class_exists( 'akks_Elementor_Header_Footer_Builder' ) ) :

	/**
	 * Akks Elementor Header and Footer Builder Compatibility
	 *
	 * @since 1.0.0
	 */
	class akks_Elementor_Header_Footer_Builder {

		/**
		 * Constructor
		 *
		 * @since 1.0.0
		 */
		public function __construct() {

			// Override theme templates.
			add_action( 'akks_action_header', array( $this, 'akks_header_builder' ), 0 );
			add_action( 'akks_action_header', array( $this, 'akks_render_hfe_header' ), 0 );
			add_action( 'akks_action_footer', array( $this, 'akks_footer_builder' ), 0 );
			add_action( 'akks_action_footer', array( $this, 'akks_render_hfe_footer' ), 0 );
			
		}

		/**
		 * Header Builder Support
		 *
		 */
		public function akks_header_builder() {
				remove_action( 'akks_action_header', 'akks_top_header', 10 );
				remove_action( 'akks_action_header', 'akks_site_header', 15 );

		}

		public function akks_render_hfe_header() {
	
			if ( function_exists( 'hfe_render_header' ) ) {
				hfe_render_header();
			}

		}

		/**
		 * Footer Builder Support
		 */
		public function akks_footer_builder() {
			
			remove_action( 'akks_action_footer', 'akks_footer_instagram', 10 );
			remove_action( 'akks_action_footer', 'akks_footer_menu', 15 );
			remove_action( 'akks_action_footer', 'akks_footer_widget', 20 );
			remove_action( 'akks_action_footer', 'akks_footer_menu' );


		}

		public function akks_render_hfe_footer() {
	
			if ( function_exists( 'hfe_render_header' ) ) {
				hfe_render_footer();
			}

		}		

	}

endif;

return new akks_Elementor_Header_Footer_Builder();
