<?php
/**
 * Plugin widgets.
 *
 * @package akks
 */


// Exit if accessed directly.
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

// Load widget.
require get_template_directory() . '/inc/widget/about/inc/widget.php';

/**
 * Register widget.
 *
 * @since 1.0.0
 */
function akks_promo_init() {

	register_widget( 'akks_Promo' );

}
add_action( 'widgets_init', 'akks_promo_init' );

/**
 * Enqueue scripts and styles.
 *
 * @since 1.0.0
 *
 * @param string $hook Hook.
 */
function akks_promo_scripts( $hook ) {

	if ( 'widgets.php' !== $hook ) {
		return;
	}

	wp_enqueue_style( 'akks-admin-css', get_template_directory_uri() . '/inc/widget/about/css/admin.css', array(), '1.0.0' );

	wp_enqueue_media();

	wp_enqueue_script( 'akks-admin-js', get_template_directory_uri() . '/inc/widget/about/js/admin.js', array( 'jquery' ), '1.0.0' );

}
add_action( 'admin_enqueue_scripts', 'akks_promo_scripts' );
